<!DOCTYPE html>
<?php
ob_start();
$session_id = trim($_REQUEST['session_id']);
session_save_path("../sesiones/");
session_name($session_id);
session_start(); 
$id_persona = $_SESSION['ID_PERSONA'];
  if(isset($id_persona)){
    include("../datos/mysqlpersona.php");                         
     $p = new mysqlpersona();
     $data = $p->getPersonaID($id_persona);
       for($i =0;$i<count($data);$i++){
            $nombre=  $data[$i]['NOMBRE'];
            $apellido_pa=  $data[$i]['APE_PATERNO'];
            $apellido_ma=  $data[$i]['APE_MATERNO'];
            $perfil =  $data[$i]['PERFIL'];
            $id_perfil=  $data[$i]['ID_PERFIL'];
            //DATA PERSONAL
            $email = $data[$i]['EMAIL'];
            $celular = $data[$i]['CELULAR'];
        }  
            $_SESSION['nombre']= $nombre;
            $_SESSION['ape_paterno']= $apellido_pa;
            $_SESSION['ape_materno']= $apellido_ma;
            $_SESSION['perfil']= $perfil;
            $_SESSION['id_perfil']= $id_perfil;
            //DATA PERSONAL
            $_SESSION['email']=$email;
            $_SESSION['celular']=$celular;
            $_SESSION['id_persona_registro'] = $_SESSION['ID_PERSONA'];
            $_SESSION['url'] = SID.'&session_id='.$session_id;
  }else{
     echo "<meta http-equiv='refresh' content='0;url=../administracion'>";
}
?>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0">
        <meta name="description" content="">
        <meta name="author" content="">
        <title>Postventa</title>
  <link href="../css/style.default.css" rel="stylesheet">
        <link href="../css/select2.css" rel="stylesheet" />
        <link href="../css/bootstrap-dialog.min.css" rel="stylesheet" type="text/css" />
        <link rel="stylesheet" type="text/css" href="//cdn.datatables.net/tabletools/2.2.3/css/dataTables.tableTools.css">
        <link rel="stylesheet" type="text/css" href="//cdn.datatables.net/plug-ins/9dcbecd42ad/integration/bootstrap/3/dataTables.bootstrap.css">
        <link rel="stylesheet" type="text/css" href="//editor.datatables.net/examples/resources/bootstrap/editor.bootstrap.css">
        <link href="//cdnjs.cloudflare.com/ajax/libs/x-editable/1.5.0/bootstrap3-editable/css/bootstrap-editable.css" rel="stylesheet"/>
        <link href="../css/multi-select.css" media="screen" rel="stylesheet" type="text/css">
                <link type="text/css" rel="stylesheet" href="../css/waitMe.css">


    </head>
    <style type="text/css">
        .panel-heading span {
            margin-top: -20px;
            font-size: 15px;
        }
    </style>
    <body>
        <header>
            <div class="headerwrapper">
                <div class="header-left">
                    <div class="pull-right">
                        <a href="#" class="menu-collapse">
                            <i class="fa fa-bars"></i>
                        </a>
                    </div>
                </div>
                <div class="header-right">
                    
                    <div class="pull-right">                    
                        <div class="btn-group btn-group-option">
                            <button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown">
                              <i class="fa fa-caret-down"></i>
                            </button>
                            <ul class="dropdown-menu pull-right" role="menu">
                               
                              <li><a id="configcuenta" href="#"><i class="glyphicon glyphicon-cog"></i> Configuración cuenta</a></li>
                              <li class="divider"></li>
                               <li><a id="cerrar_session" href="#"><i class="glyphicon glyphicon-log-out"></i>Cerrar sesión</a></li>
                            </ul>
                        </div><!-- btn-group -->
                        
                    </div>
                </div>
            </div>
        </header>
        <section>

            <div class="mainwrapper">
                    <div class="leftpanel">
                    <div class="media profile-left">
                        <div class="media-body">
                            <h4 class="media-heading"><?php echo $_SESSION['perfil'];?></h4>
                            <small class="text-muted"><?php echo $_SESSION['nombre']." ".$_SESSION['ape_paterno'] ;?></small>
                        </div>
                    </div><!-- media -->
                    <h5 class="leftpanel-title">Menu</h5>
                    <ul class="nav nav-pills nav-stacked">
                    <?php if($_SESSION['id_perfil'] == "10"){
                        ?>

                                 <li class="parent" ><a href="#" ><i class="fa fa-inbox"></i> <span>Requerimientos</span></a>
                                    <ul class="children">
                                         <li><a href="requerimientos?<?php echo SID.'&session_id='.$session_id?>">Lista</a></li>
                                    </ul>
                                </li>
                              <li class="parent"><a href="#"><i class="fa fa-calendar"></i> <span>Calendario</span></a>
                                    <ul class="children">
                                         <li><a href="calendario?<?php echo SID.'&session_id='.$session_id?>">Calendario</a></li>
                                    </ul>
                                </li>
                               <li class="parent active"><a href="#"><i class="fa fa-suitcase"></i> <span>Terceros</span></a>
                                    <ul class="children">
                                         <li class="active"><a href="procesoterceros">Generar Postventa</a></li>
                                       
                                    </ul>
                                </li>
                                  <li class="parent"><a href="#"><i class="fa fa-copy"></i> <span>Reportes</span></a>
                                      <ul class="children">
                                          <li><a href="reportepostventa?<?php echo SID.'&session_id='.$session_id?>">Lista Reportes</a></li>                         
                                          <li><a href="ReporteTransparencia?<?php echo SID.'&session_id='.$session_id?>">Reporte Transparencia</a></li>  
                                        </ul>
                                  </li>
                
                        <?php
                         }else{
                            ?>
                             <li><a href="dashboard?<?php echo SID.'&session_id='.$session_id?>"><i class="fa fa-home"></i> <span>Dashboard</span></a></li>        
                            <li class="parent" ><a href="#" ><i class="fa fa-inbox"></i> <span>Requerimientos</span></a>
                                    <ul class="children">
                                         <li><a href="requerimientos?<?php echo SID.'&session_id='.$session_id?>">Lista</a></li>
                                    </ul>
                                </li>
                                  <li class="parent"><a href="#"><i class="fa fa-calendar"></i> <span>Calendario</span></a>
                                    <ul class="children">
                                         <li><a href="calendario?<?php echo SID.'&session_id='.$session_id?>">Calendario</a></li>
                                         <li><a href="configuracioncalendario?<?php echo SID.'&session_id='.$session_id?>">Configuración</a></li>
                                    </ul>
                                </li>
                           <li class="parent"><a href="#"><i class="fa fa-briefcase"></i> <span>Proyectos</span></a>
                                    <ul class="children">
                                                                                                                
<li><a href="proyectos?<?php echo SID.'&session_id='.$session_id?>">Lista Proyectos</a></li>
                                <li><a href="proyectomasivo?<?php echo SID.'&session_id='.$session_id?>">Crear Proyecto</a></li>

                                        <li ><a href="ambientes?<?php echo SID.'&session_id='.$session_id?>">Ambientes</a></li>
                                        <li><a href="tipopropiedad?<?php echo SID.'&session_id='.$session_id?>">Tipo Propiedad</a></li>
                                        <li><a href="modelospropiedades?<?php echo SID.'&session_id='.$session_id?>">Modelos Propiedades</a></li><li><a href="personas?<?php echo SID.'&session_id='.$session_id?>">Personas</a></li><li ><a href="propiedades?<?php echo SID.'&session_id='.$session_id?>">Propiedades</a></li>
                                    </ul>
                                </li>
                                 <li class="parent"><a href="#"><i class="fa fa-pencil"></i> <span>Datos</span></a>
                                    <ul class="children">
                                        <li><a href="usuarios?<?php echo SID.'&session_id='.$session_id?>">Usuarios</a></li>
                                                                        <li><a href="empresa?<?php echo SID.'&session_id='.$session_id?>">Empresa</a></li>

                                        <li><a href="categoria?<?php echo SID.'&session_id='.$session_id?>">Categoría</a></li>
                                        <li><a href="preguntas?<?php echo SID.'&session_id='.$session_id?>">Preguntas</a></li>
                                        <li><a href="responsable?<?php echo SID.'&session_id='.$session_id?>">Responsable</a></li>
                                        <li><a href="servicios?<?php echo SID.'&session_id='.$session_id?>">Servicios</a></li>
                                        <li> <a href="configuracionCorreos?<?php echo SID.'&session_id='.$session_id?>">Configuración global Correo</a></li>

                                    </ul>
                                </li>
                                <li class="parent active"><a href="#"><i class="fa fa-suitcase"></i> <span>Terceros</span></a>
                                    <ul class="children">
                                         <li class="active"><a href="procesoterceros">Generar Postventa</a></li>

                                    </ul>
                                </li>
                                   <li class="parent"><a href="#"><i class="fa fa-copy"></i> <span>Reportes</span></a>
                                      <ul class="children">
                                          <li><a href="reportepostventa?<?php echo SID.'&session_id='.$session_id?>">Lista Reportes</a></li>                         
                                          <li><a href="ReporteTransparencia?<?php echo SID.'&session_id='.$session_id?>">Reporte Transparencia</a></li>  
                                        </ul>
                                  </li>
                                <li class="parent"><a href="#"><span>Otras Páginas</span></a>
                                    <ul class="children">
                                        <li><a href="https://login.microsoftonline.com/">Microsoft Office 365</a></li>
                                        <li><a href="http://vain-arm.cl/">Vain - Arm</a></li>
                                        <li><a href="http://www.itodoslossantos.cl/web/">Inmobiliaria Todos los Santos</a></li>                           
                                    </ul>
                                </li>


                            <?php 
                            } ?>

                       

                            </ul>
                </div><!-- leftpanel -->
                <div class="mainpanel">

          <div id="oculto_horas"  style="display:none;">
                <?php 
                    $pendientes = $p->getPendientes($_SESSION['ID_PERSONA']);
                     if(empty($pendientes)){
                     }else{
                            for($i =0;$i<count($pendientes);$i++){
                                ?>
                                <input type="text" class="fechas" value="<?php echo $pendientes[$i]['FECHAPOSTVENTA'];?>">
                                <?php
                            }   
                     }
                ?>
                </div>
                            <div class="contentpanel contentpanel-wizard">                        
                        <div class="row">
                            <div class="col-md-12">
                     
                                <!-- BASIC WIZARD -->
                                <form method="post" id="valWizard" class="panel-wizard">
                                    <ul class="nav nav-justified nav-wizard nav-disabled-click">
                                        <li><a href="#tab1" data-toggle="tab"><strong>Paso 1:</strong>Seleccionar Proyecto</a></li>
                                        <li><a href="#tab2" data-toggle="tab"><strong>Paso 2:</strong> Información Propietario</a></li>
                                        <li><a href="#tab3" data-toggle="tab"><strong>Paso 3:</strong>Preguntas</a></li>
                                        <li><a href="#tab4" data-toggle="tab"><strong>Paso 4:</strong> Ambientes</a></li>
                                        <li><a href="#tab5" data-toggle="tab"><strong>Paso 5:</strong> Programar</a></li>
                                        <li><a href="#tab6" data-toggle="tab"><strong>Paso 6:</strong> Resumen</a></li>
                                    </ul>
                                <div class="progress progress-xs">
                                        <div class="progress-bar progress-bar-success" role="progressbar" aria-valuenow="45" aria-valuemin="0" aria-valuemax="100"></div>
                                    </div>
                                    <div class="tab-content">
                                     <div  id="error" class="errorForm"></div>
                                        <div class="tab-pane" id="tab1">
                                            <div class="row">
                                                    <div class="col-sm-12">
                                                        <div class="col-sm-4">
                                                            <label class="col-sm-12 control-label">Selecciona Proyecto:<span class="asterisk">*</span></label>
                                                             <select   class="width100p" id="proyectoterceros" name="proyectoterceros" data-placeholder="Proyectos">
                                                                <option value=""></option>
                                                                <?php  
                                                                    include("../datos/mysqlproyecto.php");
                                                                     $po = new mysqlproyecto();
                                                                    // if($_SESSION['id_perfil'] == "10"){
                                                                               $ar = $po->getproyectosterceros($_SESSION['ID_PERSONA']); 
                                                                               if(empty($ar)){
                                                                               }else{
                                                                                   for($i=0;$i<count($ar);$i++){
                                                                                      ?>
                                                                                       <option value="<?php echo $ar[$i]['ID_PROYECTO'] ?>"><?php echo $ar[$i]['PROYECTO'];?></option>

                                                                                     <?php 
                                                                                   }
                                                                               }  
                                                                               ?>  
                                                             </select>  

                                                        </div>
                                                        <div class="col-sm-8">
                                                            <div id="listapropiedades"></div>
                                                        </div>
                                                    </div>
                                            </div>
                                        </div><!-- tab-pane -->
                                        <div class="tab-pane" id="tab2">
                                         <div class="form-group">
                                            <label class="col-sm-2 control-label">Rut:<span class="asterisk">*</span></label>
                                            <div class="col-sm-3">
                                            <input id="rut"  onchange="javascript:this.value=this.value.toUpperCase();Valida_Rut(this,'rut')" onkeypress="validacamposrut();" name="rut" type="text" maxlength="10" required  placeholder="Rut"  class="form-control">
                                            </div>
                                                <label class="col-sm-2 control-label">Nombres:<span class="asterisk">*</span></label>
                                                <div class="col-sm-3">
                                                    <input id="nombre"  maxlength="30"  type="text" onkeypress="txNombres();"  class="form-control">
                                                </div>
                                        </div>

                                            <div class="form-group">
                                                <label class="col-sm-2 control-label">Apellido Paterno<span class="asterisk">*</span></label>
                                                <div class="col-sm-3">
                                                    <input id="ape_paterno"  maxlength="30"  type="text" onkeypress="txNombres();" class="form-control">
                                                </div>
                                                <label class="col-sm-2 control-label">Apellido Materno<span class="asterisk">*</span></label>
                                                <div class="col-sm-3">
                                                    <input id="ape_materno"  maxlength="30"  type="text" onkeypress="txNombres();" class="form-control">
                                                </div>
                                            </div>


                                
                                            <div class="form-group">
                                                <label class="col-sm-2 control-label">Dirección:<span class="asterisk">*</span></label>
                                                <div class="col-sm-3">
                                                    <input id="direccion"  maxlength="30"  type="text"  class="form-control">
                                                </div>
                                                    <label class="col-sm-2 control-label">Teléfono Fijo:</label>
                                                <div class="col-sm-3">
                                                    <input id="tel_fijo"  maxlength="12" onkeypress="ValidaSoloNumeros();" type="text"  class="form-control">
                                                </div>
                                            </div>

                           
                                            <div class="form-group">
                                                <label class="col-sm-2 control-label">Celular:<span class="asterisk">*</span></label>
                                                <div class="col-sm-3">
                                                    <input id="celular" maxlength="10" type="text" onkeypress="ValidaSoloNumeros();" class="form-control">
                                                </div>
                                                  <label class="col-sm-2 control-label">Teléfono Oficina:</label>
                                                <div class="col-sm-3">
                                                    <input id="tel_oficina"  maxlength="12" type="text" onkeypress="ValidaSoloNumeros();" class="form-control">
                                                </div>
                                            </div>
                                
                                            <div class="form-group">
                                                <label class="col-sm-2 control-label">Email:<span class="asterisk">*</span></label>
                                                <div class="col-sm-3">
                                                    <input id="email"  maxlength="30"  type="text" class="form-control">
                                                </div>
                                                     <label class="col-sm-2 control-label">Repetir Email:<span class="asterisk">*</span></label>
                                                <div class="col-sm-3">
                                                    <input id="email2"  maxlength="30"  type="text" class="form-control">
                                                </div>

                                           </div>

                                           <div class="form-group">
                                              <label >Garantías:</span></label>
                                                 <ul >
                                                    <li>Estructura 10 años :<span id="garantiaestructura"></span></li>
                                                    <li>Instalaciones 5 años :<span id="garantiainstalaciones"></span></li>
                                                    <li >Terminaciones 3 años : <span id="garantiaterminaciones"></span></li>
                                               
                                                  </ul> 
                                           </div>

                                
                                        </div><!-- tab-pane -->
                                        <div class="tab-pane" id="tab3">
                                              <div id="seleccionados" class="col-sm-6">
                                             <label>Responda las siguientes preguntas:(*)</label>
                                                <?php 
                                                include("../datos/mysqlpregunta.php");
                                                 $pre = new mysqlpregunta();
                                                 $pe = $pre->getPreguntas();
                                                 for($i =0;$i<count($pe);$i++){
                                                    if(empty($pe)){
                                                        }else{
                                                 ?>
                                                    <div class="preguntas" id="<?php echo $pe[$i]['ID_PREGUNTA'];?>">
                                                             <div class="form-group">
                                                                <label class="col-sm-8 control-label"><?php echo $pe[$i]['PREGUNTA'];?></label>
                                                                <div class="col-sm-4"> 
                                                                    <div class="rdio rdio-success ">
                                                                        <input type="radio" class="pop" target="1" href="<?php echo $pe[$i]['ID_PREGUNTA'];?>" name="radio<?php echo $pe[$i]['ID_PREGUNTA'];?>" value="0" id="NO<?php echo$pe[$i]['ID_PREGUNTA']; ?>" />
                                                                        <label for="NO<?php echo $pe[$i]['ID_PREGUNTA']; ?>">NO</label>
                                                                    </div>
                                                                      
                                                                    <div class="rdio rdio-danger">
                                                                        <input type="radio" class="pop" target="0" href="<?php echo $pe[$i]['ID_PREGUNTA'];?>" name="radio<?php echo $pe[$i]['ID_PREGUNTA']; ?>" value="1" id="SI<?php echo $pe[$i]['ID_PREGUNTA']; ?>" />
                                                                        <label for="SI<?php echo $pe[$i]['ID_PREGUNTA']; ?>">SI</label>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                    </div>

                                                 <?php 
                                                  }
                                                }
                                                ?> 
                                                </div>
                                            <div class="row">
                                              <div class="col-sm-6">
                                                <div class="panel panel-default">
                                                            <div class="panel-body">
                                                                <p id="breve"></p>
                                                                
                                                            </div>
                                                        </div>
                                                </div>
                                            </div>

                                        </div><!-- tab-pane -->
                                        

                                <div class="tab-pane" id="tab4">
                            
                                              <div class="row">
                                                    <div class="col-sm-4">
                                                        <label>Ambientes:(*)</label>
                                                        <div class="form-group">
                                                            <div class="col-sm-12">
                                                                <select id="listaambientes" name="listaambientes" data-placeholder="Lista Ambientes" class="width100p" required>
                                                                     <option value="">Lista Ambientes:</option>
                                                                 </select>                          
                                                            </div>
                                                        </div>
                                                        <div class="form-group">
                                                            <div class="col-sm-12">
                                                            <label>Describe brevemente el problema:(*)</label>
                                                            <textarea id="descripcion_ambiente" maxlength="150" name="descripcion_ambiente" class="form-control" rows="5" style="height: 90px;"></textarea>                  
                                                            </div>
                                                        </div>
                                                      <div class="form-group">
                                                            <div class="col-sm-12">
                                                            <label>Subir imagen</label>
                                                             <input type="file" id="fileimagen" capture="camera" class="joint"  name="files[]" multiple>
                                                            </div>
                                                        </div>
                                                          <div class="form-group">
                                                            <div class="col-sm-12">
                                                            <label></label>
                                                            <img id="img_preview" src="" style="width: 350px; height: 250px;">
                                                            </div>
                                                        </div>
                                                    </div><!-- col-sm-6 -->
                                                    
                                                    <div class="col-sm-7 containerBlock">
                                                    <label>Modelo:</label>
                                                      <div class="form-group">
                                                            <div class="col-sm-12">
                                                                        <a href="#" class="pull-left">
                                                                          <img height="400" width="680" id="modelo_propiedad" alt="" >
                                                                        </a>
                                                                  
                
                                                                    <div id="descripcion_modelo">
                                                                            <h4 id="modelo_abreviatura" class="filename text-primary"></h4>
                                                                            <small id="superficie_modelo"class="text-muted"></small><br>
                                                                    </div>  
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                        </div><!-- tab-pane -->
                                         <div class="tab-pane" id="tab5">
                                                   <div class="row">
                                                    <div class="col-sm-5">
                                                        <label>Selecciona Horario para ser atendido:(*)</label>
                                                        <div id="horarioshow" class="form-group">
                                                            <div class="col-sm-11">
                                                                <select id="horario" name="horario" data-placeholder="Horarios Postventa" class="width100p" required>
                                                                     <option value="">Horarios Postventa</option>
                                                                 </select>                          
                                                            </div>
                                                        </div>
                                                                    <div class="form-group" style="display:none;" id="sinhoradisponiblesshow">
                                                            <div class="col-sm-11" >
                                                                     <div class="panel panel-danger">
                                                                        <div class="panel-heading">
                                                                          <h3 class="text-center">
                                                                          <span class="glyphicon glyphicon-exclamation-sign" aria-hidden="true"></span> Oops:
                                                                          <small>Sin horas disponibles</b></small>
                                                                          </h3>
                                                                        </div>
                                                             
                                                                        </div>               
                                                            </div>
                                                        </div>
                                           
                                                    </div>
                                                    
                                                    
                                                    </div>
                                        </div><!-- tab-pane -->
                                         <div class="tab-pane" id="tab6">
                                                <div class="row">
                                                    <div class="col-md-2"></div>
                                                         <div class="col-md-8">
                                                          <div class="panel panel-default">
                                                            <div class="panel-body">
                                                                    <p class="text-primary">Datos</p>
                                                                    <p id="condominio"><strong>Condominio:</strong> <span id="proyecto_resumen"></span></p>
                                                                    <p id="numero"><strong>N° Propiedad:</strong> <span id="numero_resumen"></span></p>
                                                                    <p id="fecha_atencion"><strong>Fecha atención de posventa:</strong> <span id="fecha_resumen"></span></p>
                                                            </div>
                                                        </div>            
                                                     </div>
                                                  </div>
                                                <div class="row">
                                                    <div class="col-md-2"></div>
                                                         <div class="col-md-4">
                                                          <div class="panel panel-default">
                                                            <div class="panel-body">
                                                                           <p class="text-primary">¿Quien registro la postventa?</p>
                                                                            <p><strong>Nombre:</strong> <span id="nombre_registra"></span></p>
                                                                            <p><strong>Apellido:</strong><span id="apellido_registra"></span></p>
                                                                            <p><strong>Email:</strong><span id="email_registra"></span></p>
                                                                            <p><strong>Telefono:</strong><span id="telefono_registra"></span></p>
                                                                            <p><strong>Relacion:</strong><span id="relacion_registra"></span></p>
                                                            </div>
                                                        </div>            
                                                     </div>
                                                     <div class="col-md-4">
                                                          <div class="panel panel-default">
                                                            <div class="panel-body">
                                                                     <p class="text-primary">Propietario</p>
                                                                            <p><strong>Nombre:</strong> <span id="nombre_visita"></span></p>
                                                                            <p><strong>Apellido:</strong><span id="apellido_visita"></span></p>
                                                                            <p><strong>Email:</strong><span id="email_visita"></span></p>
                                                                            <p><strong>Telefono:</strong><span id="telefono_visita"></span></p>
                                                                            <p><strong>Relacion:</strong><span id="relacion_visita"></span></p>
                                                            </div>
                                                        </div>            
                                                     </div>
                                                  </div>
                                                     <div class="row">
                                                    <div class="col-md-2"></div>
                                                         <div class="col-md-8">
                                                          <div class="panel panel-default">
                                                            <div class="panel-body">
                                                         <p class="text-primary">Lista Requerimientos:</p>
                                                                  <div class="table-responsive">
                                                                    <table id="requerimientos_resumen" class="table table-bordered mb30">
                                                                        <thead>
                                                                        <tr>
                                                                            <th>Ambiente</th>
                                                                            <th>Descripcion</th>
                                                                            <th></th>
                                                                        </tr>
                                                                        </thead>
                                                                        <tbody>
                                                                        </tbody>
                                                                    </table>
                                                                </div>
                                                            </div>
                                                        </div>            
                                                     </div>
                                                  </div>
                                        </div><!-- tab-pane -->
                                    </div><!-- tab-content -->
                
                                    <ul class="list-unstyled wizard">
                                        <li class="pull-left previous"><button type="button" class="btn btn-default">Atrás</button></li>
                                        <li class="pull-right next"><button type="button" class="btn btn-primary">Siguiente</button></li>
                                        <li class="pull-right finish hide"><button type="submit" class="btn btn-primary">Finalizar</button></li>
                                    </ul>
                                    
                                </form><!-- panel-wizard -->
              
                            </div><!-- col-md-6 -->
                        </div><!-- row -->
                    </div><!-- contentpanel -->
                </div><!-- mainpanel -->
            </div><!-- mainwrapper -->
        </section>

          <div id="modalconfigcuenta" class="modal fade bs-example-modal-static" tabindex="-1" role="dialog" data-backdrop="static">
         <div class="modal-dialog modal-l">
              <div class="modal-content">
                  <div class="modal-header">
                      <button aria-hidden="true" data-dismiss="modal" class="close" type="button">&times;</button>
                      <h4 class="modal-title">Editar cuenta</h4>
                  </div>
                  <div class="modal-body">
                  <div class="row">
                              <div class="col-md-9">
                                            <div class="form-group">
                                                 <label class="col-sm-5 control-label">Perfil:</label>
                                                <div class="col-sm-7">
                                                    <a href="#"  data-type="text"    data-title="Ingresar Perfil"><?php echo $perfil; ?></a>                                               
                                                     </div>
                                            </div>
                                            <div class="form-group">
                                                 <label class="col-sm-5 control-label">Nombre:</label>
                                                <div class="col-sm-7">
                                                    <a href="#"   data-title="Ingresar Nombre"><?php echo $nombre." ".$apellido_pa." ".$apellido_ma; ?></a>                                               
                                                     </div>
                                            </div>
                                            <div class="form-group">
                                                <label class="col-sm-5 control-label">Celular:</label>
                                                <div class="col-sm-7">
                                                        <a href="#" id="configcelular" name="configcelular" data-type="text"  data-name="updatecelular" data-pk="<?php echo $_SESSION['ID_PERSONA'];?>"  data-title="Ingresar celular"><?php echo $celular; ?></a>                                                
                                                        </div>
                                            </div>
                                        
                                            <div class="form-group">
                                                <label class="col-sm-5 control-label">Correo Electrónico:</label>
                                                <div class="col-sm-7">
                                                        <a href="#"  id="configemail" name="configemail"  data-name="updateemail" data-type="text" data-pk="<?php echo $_SESSION['ID_PERSONA'];?>"  data-title="Ingrese Correo Electrónico "><?php echo $email; ?></a>                                                
                                                        </div>
                                            </div>
                                            <div class="form-group">
                                                <label class="col-sm-5 control-label">Contraseña:</label>
                                                <div class="col-sm-7">
                                                        <a href="#"  id="configpass" name="configpass"  data-name="restablecerpass" data-type="password" data-pk="<?php echo $_SESSION['ID_PERSONA'];?>"  data-title="Ingrese Contraseña">********</a>                                                
                                                  </div>
                                            </div>                       
                                </div>
                        </div>
                </div>
                    <div class="modal-footer">
                     <button  type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                     </div>
              </div>
            </div>
    </div>

        <script src="../js/jquery-1.11.1.min.js"></script>
        <script src="../js/jquery-migrate-1.2.1.min.js"></script>
        <script src="../js/jquery-ui-1.10.3.min.js"></script>
        <script src="../js/bootstrap.min.js"></script>
        <script src="../js/modernizr.min.js"></script>
        <script src="../js/pace.min.js"></script>
        <script src="../js/retina.min.js"></script>
        <script src="../js/jquery.cookies.js"></script>
        <script src="../js/bootstrap-wizard.min.js"></script>
        <script src="../js/jquery.validate.min.js"></script>
        <script src="../js/jquery.dataTables.min.js"></script>
        <script src="http://cdn.datatables.net/plug-ins/725b2a2115b/integration/bootstrap/3/dataTables.bootstrap.js"></script>
        <script src="http://cdn.datatables.net/responsive/1.0.1/js/dataTables.responsive.js"></script>
        <script src="../js/select2.min.js"></script>
        <script src="../js/custom.js"></script>
        <script src="//cdnjs.cloudflare.com/ajax/libs/x-editable/1.5.0/bootstrap3-editable/js/bootstrap-editable.min.js"></script>
        <script src="../js/bootstrap-dialog.min.js"></script>
        <script src = "../js/funciones.js" type="text/javascript"></script>
        <script src="../js/jquery.multi-select.js"></script>
                <script src="../js/waitMe.js"></script>

        <script type="text/javascript">
        jQuery(document).ready(function() {
        var id_sesion = "<?php echo $_SESSION['sesion'];?>" ;

        $('.containerBlock').waitMe({
            effect : 'progressBar',
            text: 'Cargando...',
            bg: 'rgba(255,255,255,0.7)',
            color: '#000',
            maxSize: '',
            onClose: function() {}
        });
    


        //LISTA DEL REQUERIMIENTO
        var listaimagenes = Array();
        jQuery("#proyectoterceros").select2({
                    minimumResultsForSearch: -1
        });
         jQuery("#propiedades").select2({
                    minimumResultsForSearch: -1
        });
        jQuery("#listaambientes").select2({
                    minimumResultsForSearch: -1
        });
        jQuery("#horario").select2({
                    minimumResultsForSearch: -1
        });
        jQuery('select option:first-child').text('');
        // Select2
        jQuery("select").select2({
            minimumResultsForSearch: -1
        });



        function cargarambientes(id_modelo){
             var id_modelo = id_modelo;
                $.post( "../negocio/propiedad.php", {id_modelo:id_modelo,name:"getModeloAmbiente"})
                 .done(function( data ) {
                      var datos = $.parseJSON(data);
                      var imagen64 = "";
                     $(datos).each(function () {
                        imagen64 = this.IMAGEN64;
                        if(this.IMAGEN64 == ""  || this.IMAGEN64 == null){
                              imagen64 = "http://placehold.it/350x250&text=NO IMAGEN";
                              }else{
                             imagen64 = this.IMAGEN64;  
                             }
                        $('#listaambientes').append("<option value="+this.ID_AMBIENTE+" >"+this.AMBIENTE+"</option>");
                     });
                    $('#modelo_propiedad').attr('src', imagen64);
                    $('.containerBlock').waitMe('hide');
                 });
        }
        // Basic Wizard
        // Wizard With Form Validation
                jQuery('#valWizard').bootstrapWizard({
                    onTabShow: function(tab, navigation, index) {
                        tab.prevAll().addClass('done');
                        tab.nextAll().removeClass('done');
                        tab.removeClass('done');
                        var $total = navigation.find('li').length;
                        var $current = index + 1;
                        if($current >= $total) {
                            $('#valWizard').find('.wizard .next').addClass('hide');
                            $('#valWizard').find('.wizard .finish').removeClass('hide');
                        } else {
                            $('#valWizard').find('.wizard .next').removeClass('hide');
                            $('#valWizard').find('.wizard .finish').addClass('hide');
                        }
                        var $percent = ($current/$total) * 100;
                        $('#valWizard').find('.progress-bar').css('width', $percent+'%');
                    },
                    onTabClick: function(tab, navigation, index) {
                        return false;
                    }, onPrevious: function(tab, navigation, index){
                     $('#error').html(""); 
                    if(index == 1){
                        }else if(index == 2){
                        //AQUI SE BORRA  LA TABLA 
                                BootstrapDialog.show({
                                type: BootstrapDialog.TYPE_INFO,
                                title: 'Información',
                                closeByBackdrop: true,
                                closeByKeyboard: true,
                                message: '¿Esta seguro que desea volver atras, se perderá la lista de requerimientos?',
                                  buttons: [{
                                    label: 'No',
                                    cssClass: 'btn-primary',
                                    action: function(dialogItself) {
                                        dialogItself.close();
                                        return false;
                                    }
                                }, {
                                    label: 'Aceptar->',
                                    cssClass: 'btn-success',
                                    action: function(dialogItself) {
                                        $('#valWizard').bootstrapWizard('show',2);
                                        $("#propiedades").select2("val", "CA"); //set the value
                                        $('#requerimientos_resumen tr:not(:first)').remove();
                                        elemento('img_preview').src = "";
                                        elemento('fileimagen').text ="";
                                        elemento('fileimagen').value ="";
                                        listaimagenes.length = 0;
                                        $('#modelo_propiedad').src = "";

                                        $('.containerBlock').waitMe({
                                            effect : 'progressBar',
                                            text: 'Cargando...',
                                            bg: 'rgba(255,255,255,0.7)',
                                            color: '#000',
                                            maxSize: '',
                                            onClose: function() {}
                                        });

                                        
                                        dialogItself.close();
                                    }
                                }]
                            });
                            return false;

                        }else if(index == 3){
                                //AQUI SE BORRA  LA TABLA 
                                BootstrapDialog.show({
                                type: BootstrapDialog.TYPE_INFO,
                                title: 'Información',
                                closeByBackdrop: true,
                                closeByKeyboard: true,
                                message: '¿Desea agregar otro requerimiento?',
                                  buttons: [{
                                    label: 'No',
                                    cssClass: 'btn-primary',
                                    action: function(dialogItself) {
                                        dialogItself.close();
                                        return false;
                                    }
                                }, {
                                    label: 'Aceptar->',
                                    cssClass: 'btn-success',
                                    action: function(dialogItself) {
                                        $('#valWizard').bootstrapWizard('show',3);
                                        $("#listaambientes").select2("val", "CA"); //set the value
                                        $('#descripcion_ambiente').val("");
                                        dialogItself.close();
                                    }
                                }]
                            });
                            return false;
                        }else if(index == 4){

                        }else if(index == 5){

                        }
    
                    },onNext: function(tab, navigation, index) {
                     event.preventDefault();

                     $('#error').html(""); 
                     //LISTA ERRORES
                     var error_campos = "<label for='name' class='error'>Complete los campos obligatorios(*)</label>";
                     var error_email_no_coinciden = "<label for='name' class='error'>Correo Electrónico no coinciden</label>";
                     var error_email_incorrecto = "<label for='name' class='error'>Correo Electrónico no válido</label>";
                        if(index == 1){
                            var ratio = radiosseleccionadosPropiedad();
                            if(ratio == false){
                                $('#error').html(error_campos); 
                                return false;
                            }

                              var id_propiedad;
                              var radios = $('#listapropiedades input:radio');
                              for (var i = 0; i < radios.length; i++) {
                                     if (radios[i].checked){
                                          id_propiedad = radios[i].id;
                                      }
                               }

                              //BUSCAR INFO DE LAS FECHAS EN LA PROPIEDAD

                            $.post( "../negocio/propiedad.php", {name:"getInfoGarantias",id_propiedad:id_propiedad})
                               .done(function( resp ) {
                                   var datos = $.parseJSON(resp); 
                                     $(datos).each(function () { 
                                          //10 años aun tiene garantia

                                          if(3650 >= this.DIFERENCIA_RES){
                                             $('#garantiaestructura').text(this.Fec_municipal).addClass("label label-success");
                                          }else{
                                             $('#garantiaestructura').text(this.Fec_municipal).addClass("label label-warning");
                                          }
                                           //5 años garantia
                                         if(1825 >= this.DIFERENCIA_RES){
                                              $('#garantiainstalaciones').text(this.Fec_municipal).addClass("label label-success");

                                          }else{
                                               $('#garantiainstalaciones').text(this.Fec_municipal).addClass("label label-warning");

                                          }
                                          //3 años garantia
                                          if(1095 >= this.DIFERENCIA_ESC){
                                              $('#garantiaterminaciones').text(this.FECHA_ESCRITURA).addClass("label label-success");
                                          }else{
                                              $('#garantiaterminaciones').text(this.FECHA_ESCRITURA).addClass("label label-warning");
                                          }

                                     });


                               });

                   



                             $.post( "../negocio/ticket.php", {name:"NumeroPosventaprimeraVisita",id_propiedad:id_propiedad})
                             .done(function( data ) {
                               $.post( "../negocio/calendario.php", {name:"getmaximo"})
                                         .done(function(resp) {
                                          //alert(resp)
                                          var datos = $.parseJSON(resp); 
                                               $(datos).each(function () { 
                                                var dia = this.DIA;
                                  
                                                if(parseInt(data)>=parseInt(this.MAXIMO)){
                                                                 BootstrapDialog.show({
                                                                        icon: 'glyphicon-info-sign',
                                                                        type: BootstrapDialog.TYPE_WARNING,
                                                                        title: 'Información',
                                                                        closeByBackdrop: false,
                                                                        closeByKeyboard: false,
                                                                        message: 'Excedió el límite máximo de postventas que se puede realizar en  la propiedad para primera  visita',

                                                                    });

                                                        return false;
                                                    }else{
                                                            var id_proyecto = $("#proyectoterceros").val();
                                                            var nombre_dia = getDia();//OBTENDO EL DIA;
                                                            var contador_dias=0;
                                                         $.post( "../negocio/calendario.php", {name:"getConfiguracionNombre",nombre_dia:nombre_dia,id_proyecto:id_proyecto})
                                                             .done(function(data) {
                                                                    $.post( "../negocio/calendario.php", {name:"getCalendarioPostventa",id_proyecto:id_proyecto,contador_dias:data})
                                                                     .done(function( data ) {
                                                                       var datos = $.parseJSON(data); 
                                                                      if(datos == 0){
                                                                          console.log("aa");
                                                                          $('#sinhoradisponiblesshow').show();
                                                                          $('#horarioshow').hide();

                                                                          
                                                                      }
                                                                         $('#horario').empty();
                                                                        var horas_activas = $('#oculto_horas input:text');
                                                                        var suma = 0;
                                                                        
                                                                         $(datos).each(function () {  
                                                                                for (var i = 0; i < horas_activas.length; i++) {
                                                                                        if(horas_activas[i].value == this.FECHAPOSTVENTA){
                                                                                            suma = suma+1;
                                                                                        }
                                                                            }
                                                                                if(dia>suma){
                                                                                    $("#horario").append($('<option>', {value:this.ID_CALENDARIO, text: this.fec_inicio}));
                                                                                    //suma = 0;
                                                                                }else{
                                                                                    //suma = 0;
                                                                                }
                                                                                suma = 0;
                                                                        });

                                                                        $("#horario").append($('<option>', {value:"", text: "Seleccione horario:"}));
                                                                            $('#horario').select2({
                                                                                   minimumResultsForSearch: -1,
                                                                            }).select2('val',"");

                                                                      });           
                                                            });
                                                            $('#valWizard').bootstrapWizard('show',1);
                                                    }

                                         });
                                    });    
                             });


                        //PREGUNTA SI YA TIENE DUEÑO
                        $.post( "../negocio/ticket.php", {name:"getTieneDueno",id_propiedad:id_propiedad})
                             .done(function(data) {
                                if(data == 0){
                                        BootstrapDialog.show({
                                                title: 'Información',
                                                message: 'Completa los campos obligatorios del propietario (*)',
                                                closeByBackdrop: false,
                                                closeByKeyboard: false,
                                                closable: false,
                                                type: BootstrapDialog.TYPE_INFO, // <-- Default value is BootstrapDialog.TYPE_PRIMARY
                                                buttons: [{
                                                        label: 'Cerrar',
                                                        action: function(dialog) {
                                                             dialog.close();
                                                        }
                                                    }]
                                          });

                                            $('#nombre').val("");
                                            $('#ape_paterno').val("");
                                            $('#ape_materno').val("");
                                            $('#direccion').val("");
                                            $('#tel_fijo').val("");
                                            $('#celular').val("");
                                            $('#tel_oficina').val("");
                                            $('#email').val("");
                                            $('#email2').val("");
                                            $('#rut').val("");
                                            $('#rut').prop('disabled', false);

                                }else{

                                BootstrapDialog.show({
                                        title: 'Información',
                                        message: 'Ya existe propietario, actualiza la información obligatoria (*)',
                                        closeByBackdrop: false,
                                        closeByKeyboard: false,
                                        closable: false,
                                        type: BootstrapDialog.TYPE_INFO, // <-- Default value is BootstrapDialog.TYPE_PRIMARY
                                        buttons: [{
                                                label: 'Cerrar',
                                                action: function(dialog) {
                                                     dialog.close();
                                                }
                                            }]
                                });
                                    var id_persona = data;
                                      $.post( "../negocio/ticket.php", {name:"getPersonaID",id_persona:id_persona})
                                         .done(function( resp ){
                                             var datos = $.parseJSON(resp); 
                                                     $(datos).each(function () { 
                                                        $('#rut').val(this.RUT);
                                                        $('#nombre').val(this.NOMBRE);
                                                        $('#ape_paterno').val(this.APE_PATERNO);
                                                        $('#ape_materno').val(this.APE_MATERNO);
                                                        $('#direccion').val(this.DIRECCION);
                                                        $('#tel_fijo').val(this.TEL_OFICINA);
                                                        $('#celular').val(this.CELULAR);
                                                        $('#tel_oficina').val(this.TEL_OFICINA);
                                                        $('#email').val(this.EMAIL);
                                                        $('#email2').val(this.EMAIL);
                                                        $('#rut').prop('disabled', true);
                                                    });
                                        });     
                                }
                            });  
                           return false;
                        }else if(index == 2){
                            var  rut = $('#rut').val();  
                            var  nombre = $('#nombre').val();  
                            var  ape_paterno = $('#ape_paterno').val();  
                            var  ape_materno = $('#ape_materno').val();  
                            var  direccion = $('#direccion').val();  
                            var  tel_fijo = $('#tel_fijo').val();  
                            var  celular = $('#celular').val();  
                            var  tel_oficina  = $('#tel_oficina').val();  
                            var  email = $('#email').val();  
                        if(rut == "" || nombre == "" || ape_paterno == "" || ape_materno == "" || direccion == "" || celular == "" || email == ""  ){
                                  $('#error').html(error_campos); 
                                  return false;
                            }

                              if(validarEmail(email)){
                              }else{
                                 $('#error').html(error_email_incorrecto); 
                                 return false;
                              }

                              if(email !== $('#email2').val()){
                                   $('#error').html(error_email_no_coinciden); 
                                    return false;
                             }
                                var radios = $('#listapropiedades input:radio');
                                var id_modelo = "";
                                for (var i = 0; i < radios.length; i++) {
                                       if (radios[i].checked){
                                            id_modelo = radios[i].value;
                                        }
                                 }
                             cargarambientes(id_modelo);
                        }else if(index == 3){
                             var ratio = radiosseleccionados();
                            if(ratio == false){
                                $('#error').html(error_campos); 
                                return false;
                            }
                        }else if(index == 4){
                        if($('#listaambientes').val() == "" || $('#descripcion_ambiente').val() == "" || $('#listaambientes').val() == null){
                                $('#error').html(error_campos); 
                                return false;
                        }else{
                            var descripcion = $('#descripcion_ambiente').val();
                            var ambiente = $('#listaambientes option:selected').text();
                            var id_ambiente = $('#listaambientes').val();
                             BootstrapDialog.show({
                                type: BootstrapDialog.TYPE_INFO,
                                title: 'Información',
                                closeByBackdrop: true,
                                closeByKeyboard: true,
                                message: '¿Desea agregar otro ambiente a la solicitud de postventa?',
                                  buttons: [{
                                    label: 'Agregar',
                                    cssClass: 'btn-primary',
                                    action: function(dialogItself) {
                         var nuevaFila ="<tr id="+id_ambiente+"><td>"+ambiente+"</td><td>"+descripcion+"</td><td class='table-action'><a  href='#' data-toggle='tooltip' title='' class='delete-row eliminartr' data-original-title='Delete'><i class='fa fa-trash-o'></i></a></td></tr>";
                                        $("#requerimientos_resumen").append(nuevaFila);
                                        dialogItself.close();
                                        $("#listaambientes").select2("val", "CA"); //set the value
                                        $('#descripcion_ambiente').val("");
                                         listaimagenes.push({"key":$('#img_preview').attr('src')});
                                         elemento('img_preview').src = "";
                                         elemento('fileimagen').text ="";
                                         elemento('fileimagen').value ="";
                                        return false;
                                    }
                                }, {
                                    label: 'Continuar->',
                                    cssClass: 'btn-success',
                                    action: function(dialogItself) {
                           var nuevaFila ="<tr  id="+id_ambiente+"><td>"+ambiente+"</td><td>"+descripcion+"</td><td class='table-action'><a href='#' data-toggle='tooltip' title='' class='delete-row eliminartr' data-original-title='Delete'><i class='fa fa-trash-o'></i></a></td></tr>";
                                        $("#requerimientos_resumen").append(nuevaFila);
                                        $('#valWizard').bootstrapWizard('show',4);
                                         listaimagenes.push({"key":$('#img_preview').attr('src')});
                                         elemento('img_preview').src = "";
                                         elemento('fileimagen').text ="";
                                         elemento('fileimagen').value ="";
                                        dialogItself.close();
                                    }
                                }]
                            });
                            return false
                         }
                        }else if(index == 5){

                             if($('#horario').val() == "" || $('#horario').val() == null || $('#horario').val() == undefined){
                                   $('#error').html(error_campos); 
                                    return false;
                              }

                                var proyecto = $("#proyectoterceros option:selected").text();
                                var numero;
                                var radios = $('#listapropiedades input:radio');
                                for (var i = 0; i < radios.length; i++) {
                                       if (radios[i].checked){
                                            numero = radios[i].value;
                                        }
                                 }

                                $('#proyecto_resumen').text(proyecto);

                                $('#numero_resumen').text(numero);
                                $('#fecha_resumen').text($('#horario option:selected').text());

                                var nombre = "<?php echo $_SESSION['nombre']; ?>";
                                var apellido = "<?php echo $_SESSION['ape_paterno']; ?>" ;
                                var email = "<?php echo $_SESSION['email']; ?>" ;
                                var celular = "<?php echo $_SESSION['celular']; ?>" ;
                                $('#nombre_registra').text(nombre.toUpperCase());
                                $('#apellido_registra').text(apellido.toUpperCase());
                                $('#email_registra').text(email.toUpperCase());
                                $('#telefono_registra').text(celular);
                                $('#relacion_registra').text("Tercero");

                                var nombre_p = $('#nombre').val();
                                var ape_paterno = $('#ape_paterno').val();
                                var ape_materno = $('#ape_materno').val();
                                var apellido_p = ape_paterno+" "+ ape_materno;
                                var celular_p = $('#celular').val();
                                var email_p = $('#email').val();
                                $('#nombre_visita').text(nombre_p.toUpperCase());
                                $('#apellido_visita').text(apellido_p.toUpperCase());
                                $('#email_visita').text(email_p.toUpperCase());
                                $('#telefono_visita').text(celular_p);
                                $('#relacion_visita').text("Propietario");

                        }
                    }
                });
                // Wizard With Form Validation
                var $validator = jQuery("#valWizard").validate({
                    highlight: function(element) {
                        jQuery(element).closest('.form-group').removeClass('has-success').addClass('has-error');
                    },
                    success: function(element) {
                        jQuery(element).closest('.form-group').removeClass('has-error');
                    }
                });    

                // This will submit the basicWizard form
                jQuery('.panel-wizard').submit(function() {  
                var proyecto = $("#propiedades option:selected").attr("PRO");
                    if($('#horario option').size() < 2){

                    }else{
                            //AQUI NO SE HACE NADA
                    }
                      BootstrapDialog.show({
                       icon: 'glyphicon-info-sign',
                        type: BootstrapDialog.TYPE_INFO,
                        title: 'Información',
                        closeByBackdrop: false,
                        closeByKeyboard: false,
                        message: 'Esta seguro en confirmar la solicitud de postventa?',
                        buttons: [{
                            icon: 'glyphicon glyphicon-send',
                            label: 'Confirmar Postventa',
                            cssClass: 'btn-warning',
                            autospin: true,
                            action: function(dialogRef){
                                dialogRef.enableButtons(false);
                                dialogRef.setClosable(false);
                                dialogRef.getModalBody().html('Procesando...');
                                setTimeout(function(){
                                // SE VA A GUARDAR TODO
                                var listadetalles =  Array();
                                var listapreguntas = Array();

                                  $('#requerimientos_resumen tbody tr').each(function () {
                                    var id_ambiente = $(this).attr('id');
                                    var descripcion = $(this).find("td").eq(1).html(); 
                                    listadetalles.push({"id_ambiente":id_ambiente, "descripcion":descripcion});
                                    //cantidad = cantidad+1;
                                });

                                //cantidad
                                $('.preguntas').each(function (){
                                    var id_pregunta = $(this).attr('id');
                                    var id_respuesta;
                                     $('.preguntas  input:radio').each(function(){
                                        var id = $(this).attr('id');
                                        if(id == "NO"+id_pregunta){
                                            if($("#"+id).is(':checked') == true){
                                                id_respuesta = 1;
                                            }else{
                                                id_respuesta = 0;
                                            }
                                            return false;
                                        }
                                    });
                                    listapreguntas.push({"id_pregunta": id_pregunta,"respuesta" :id_respuesta });
                                });

                                var propietario = 0 ;                                
                                var id_calendario = $('#horario').val();

                                var radios = $('#listapropiedades input:radio');
                                var id_propiedad ;
                                for (var i = 0; i < radios.length; i++) {
                                       if (radios[i].checked){
                                            id_propiedad = radios[i].id;
                                        }
                                 }
                                var id_estadoticket = 1;
                                var id_persona =  "<?php echo $_SESSION['id_persona_registro']; ?>";
                                var emergencia = es_emergencia();
                                if(emergencia == true){
                                    emergencia = 2;
                                }else{
                                    emergencia = 1;
                                }

                            
                                var cantidad = listadetalles.length;
                               // GENERAMOS EL USUARIO
                                var rut = $('#rut').val();
                                var nombre = $('#nombre').val();
                                var ape_paterno = $('#ape_paterno').val();
                                var ape_materno = $('#ape_materno').val();
                                var direccion = $('#direccion').val();
                                var tel_oficina = $('#tel_oficina').val();
                                var tel_fijo = $('#tel_fijo').val();
                                var celular = $('#celular').val();
                                var email = $('#email').val();
                                var perfil = 7;//PERFIL NORMAL
                                //agregar los que registraron la postventa
                                var r_nombre ="<?php echo $_SESSION['nombre']; ?>";
                                var r_apellido ="<?php echo $_SESSION['ape_paterno']; ?>";
                                var r_correo = "<?php echo $_SESSION['email']; ?>";
                                var r_relacion = "Inmobiliaria";
                                var r_telefono = "<?php echo $_SESSION['celular']; ?>";
                                //
                                var v_nombre = nombre;
                                var v_apellido = ape_paterno+" "+ape_materno;
                                var v_correo = email;
                                var v_relacion = "Propietario";
                                var v_telefono =  celular;
                                 $.post( "../negocio/ticket.php", 
                                 {
                                    name:"saveTicketTerceros",
                                    nombre:nombre,
                                    ape_paterno :ape_paterno,
                                    ape_materno:ape_materno,
                                    celular:celular,
                                    tel_oficina:tel_oficina,
                                    perfil:perfil,
                                    rut:rut,
                                    direccion:direccion,
                                    tel_fijo:tel_fijo,
                                    email:email,

                                    id_calendario:  id_calendario,
                                    id_propiedad : id_propiedad,
                                    id_estadoticket: id_estadoticket,
                                    id_persona :id_persona,
                                    //fec_registro:  
                                    propietario :propietario,
                                    v_nombre  :v_nombre,
                                    v_apellido :v_apellido,
                                    v_correo    :v_correo,
                                    v_relacion  :v_relacion,
                                    v_telefono  :v_telefono,
                                    cantidad    :cantidad,
                                    listapreguntas:listapreguntas,
                                    listadetalles:listadetalles,
                                    emergencia:emergencia,
                                    listaimagenes:listaimagenes,
                                    //PERSONAS REGISTRAN
                                    r_nombre :r_nombre,
                                    r_apellido : r_apellido,
                                    r_correo :r_correo,
                                    r_relacion : r_relacion,
                                    r_telefono :  r_telefono
                                })
                                 .done(function( data ) {
                                        //alert(data);
                                     enviar_emailcorreo(data);     

                                });
                                dialogRef.close();
                                BootstrapDialog.show({
                                title: 'Información',
                                message: 'Su solicitud de postventa fue realizada con exito!',
                                closeByBackdrop: false,
                                closeByKeyboard: false,
                                closable: false,
                                type: BootstrapDialog.TYPE_SUCCESS, // <-- Default value is BootstrapDialog.TYPE_PRIMARY
                                buttons: [{
                                        label: 'Cerrar',
                                        action: function(dialog) {
                                             dialogRef.close();
                                             location.reload();


                                        }
                                    }]
                                    });

                                    }, 3000);
                                        }
                                    }, {
                                        label: 'Cerrar',
                                        action: function(dialogRef){
                                            dialogRef.close();
                                        }
                                    }]
                                });

                    return false;
                });

                //PROPIETARIO ES SI
                $('#sipropietario').click(function(){
                    $('#ocultar_propietario').hide();
                });
                 $('#nopropietario').click(function(){
                    $('#ocultar_propietario').show();
                    $('#nombre').focus();
                });

                 //PREGUNTAS 
            $('.pop').click(function(){
               var id_pregunta = ($(this).attr('href'));
               var value = ($(this).attr('target'));
                if(value == 0){
                    $.post( "../negocio/pregunta.php", {id_pregunta:id_pregunta,name:"getPreguntaID"})
                    .done(function( data ) {
                        $('#breve').html(data);
                    });
                }else{
                    $('#breve').empty();
                }
             });
            function validarEmail(email){
                expr = /^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/;
                if ( !expr.test(email) ){
                         return false;
                }else{
                        return true;
                     }
             }
             
          function enviar_emailcorreo(id_ticket){
                var id_ticket = id_ticket;
                $.post( "../emails/envionuevoticket.php", {id_ticket:id_ticket})
                    .done(function( data ) {
                        //alert(data);
                });
         
            }

          function radiosseleccionados(){ 
            var cantcheckmin = 0 ; 
            var checkeados = 0;
            var bandera = true;
            var radios = $('#seleccionados input:radio');
            //CALCULAMOS LA CANTIDAD DE CHECK QUE HAY
              for (var i = 0; i < radios.length; i++) {
                cantcheckmin = cantcheckmin +1;
               }
                cantcheckmin = cantcheckmin / 2;
                for (var i = 0; i < radios.length; i++) {
                   if (radios[i].checked){
                         checkeados = checkeados +1;
                         }else{
                       }
                 }
              if(checkeados >= cantcheckmin){
                   return bandera;
                }else{
                   bandera = false;
                   return bandera ;
               }
          }



     function radiosseleccionadosPropiedad(){ 
            var cantcheckmin = 0 ; 
            var checkeados = 0;
            var bandera = true;
            var radios = $('#listapropiedades input:radio');
            //CALCULAMOS LA CANTIDAD DE CHECK QUE HAY
              for (var i = 0; i < radios.length; i++) {
                cantcheckmin = cantcheckmin +1;
               }
                for (var i = 0; i < radios.length; i++) {
                   if (radios[i].checked){
                         checkeados = checkeados +1;
                         }else{
                       }
                 }
              if(checkeados > 0){
                   return bandera;
                }else{
                   bandera = false;
                   return bandera ;
               }
          }





        function es_emergencia(){
          var bandera = true;
          var checkeados = 0;
          var bus = $(this).attr("href");
          var radios = $('#seleccionados input:radio');
                for (var i = 0; i < radios.length; i++) {
                  if(radios[i].value == 1){
                    if (radios[i].checked){    
                      checkeados = checkeados +1;
                   }else{  
                    }
                  }
              }
              
              if(checkeados >=1){
                return bandera;
              }else{
                bandera = false;
                return bandera;
              }
          }

        $("#proyectoterceros").change(function() {
            var id_proyecto = ($(this).attr('value'));
            $.post( "../negocio/propiedad.php", {id_proyecto:id_proyecto,name:"getPropiedadProyecto"})
            .done(function(data){
                $('#listapropiedades').html(data);
            });
        });
        //ELIMINAR LOS REQUERIMIENTOS DE LA TABLA
        $(document).on("click", "a.eliminartr" , function() {
            event.preventDefault();
            if ($('#requerimientos_resumen').find('tr').length > 2){
                $(this).parent().parent().remove();
            }else{
                       BootstrapDialog.show({
                        type: BootstrapDialog.TYPE_DANGER,
                        title: 'Información',
                        closeByBackdrop: false,
                        closeByKeyboard: false,
                        message: 'No se puede eliminar todos los requerimientos',
                        });
                 }
            });

    
            function getDia(){
                var contadordedias= "";
                 switch (new Date().getDay()) {
                      case 0:
                          contadordedias = "DOMINGO";
                          break;
                      case 1:
                          contadordedias =  "LUNES";
                          break;
                      case 2:
                          contadordedias =  "MARTES";
                          break;
                      case 3:
                          contadordedias =  "MIERCOLES";
                          break;
                      case 4:
                          contadordedias = "JUEVES";
                          break;
                      case 5:
                          contadordedias =  "VIERNES";
                          break;
                      case 6:
                          contadordedias =  "SABADO";
                          break;
                  }
                  return contadordedias;
            }


            function emailavisohoras(proyecto){
               $.post( "../emails/enviopocashoras.php", {proyecto:proyecto})
                .done(function( data ){
                    //alert(data);
                });
            }


            $('#cerrar_session').click(function(){
                 $.post( "../negocio/login.php", {indice:"cerrar_session",id_sesion:id_sesion})
                   .done(function( data ){  
                        if(data == 1){
                          location.href="../administracion";
                        }             
                  });
            });



            //SUBIR IMAGENES
                function elemento(id){
                    return document.getElementById(id);
                } 

              function readURL(input) {
                    var imagen = $('.joint').val();
                     permita = comprobar_extension(imagen);
                    if(permita){
                            if (input.files && input.files[0]) {
                                var reader = new FileReader();
                                reader.onload = function (e) {
                                      elemento("img_preview").src = e.target.result;
                                }
                                reader.readAsDataURL(input.files[0]);
                            }
                    }else{
                              BootstrapDialog.show({
                                icon: 'glyphicon-info-sign',
                                type: BootstrapDialog.TYPE_WARNING,
                                title: 'Información',
                                closeByBackdrop: false,
                                closeByKeyboard: false,
                                message: 'Extensión no válida',
                                  buttons: [
                                  {
                                    label: 'cerrar',
                                    cssClass: 'btn-info',
                                    action: function(dialogItself) {
                                        dialogItself.close();
                                    }
                                }]
                            });
                        elemento('img_preview').src = "";
                        elemento('fileimagen').text ="";
                        elemento('fileimagen').value ="";
                     return false;
                    }
                }

                $(".joint").change(function(){
                    readURL(this);
                });
                
                 function comprobar_extension(archivo) { 
                    extensiones_permitidas = new Array(".gif", ".jpg", ".png", ".jpeg", ".bpm"); 
                    extension = (archivo.substring(archivo.lastIndexOf("."))).toLowerCase(); 
                    for (var i = 0; i <= extensiones_permitidas.length; i++) { 
                            if (extensiones_permitidas[i] == extension) { 
                               permitida = true; 
                                 break; 
                           }else{
                                permitida = false;
                            }
                    }
                      return permitida;      
                 }



                 $('#rut').change(function(){
                      var rut = $(this).attr('value');
                      if(rut == ""){
                        return false;
                      }else{
                            $.post( "../negocio/usuarios.php", {name:"getPersonaBYRUT",rut:rut})
                             .done(function( resp ){
                                 var datos = $.parseJSON(resp); 
                                         $(datos).each(function () { 
                                            $('#rut').val(this.RUT);
                                            $('#nombre').val(this.NOMBRE);
                                            $('#ape_paterno').val(this.APE_PATERNO);
                                            $('#ape_materno').val(this.APE_MATERNO);
                                            $('#direccion').val(this.DIRECCION);
                                            $('#tel_fijo').val(this.TEL_OFICINA);
                                            $('#celular').val(this.CELULAR);
                                            $('#tel_oficina').val(this.TEL_OFICINA);
                                            $('#email').val(this.EMAIL);
                                            $('#email2').val(this.EMAIL);
                                            $('#rut').prop('disabled', true);
                                        });
                            });    
                      }
                 });
            $('#configcuenta').click(function(){
            $('#modalconfigcuenta').modal({show:true});
        });

               $('#configpass').editable({
                    mode: 'inline',
                    rows: 6,
                    url:   "../negocio/usuarios.php",
                         validate: function(value) {
                        if($.trim(value) == '' ) {
                            return 'Esta campo es obligatorio';
                        }                   
                        },
                          success: function(data) {

                        },        
                });

                      $('#configcelular').editable({
                           type:  'text',
                           name:  'celular',
                           url:   "../negocio/usuarios.php",
                           tpl: "<input type='text' maxlength='12'>",
                           validate: function(value) {
                           if($.trim(value) == '' ) {
                                return 'Esta campo es obligatorio';
                            }
                            if ($.isNumeric(value) == '') {
                                return 'Solo números';
                            }
                        },
                           success: function(data) {
                            //alert(data);
                            },
   
                });

                   $('#configemail').editable({
                      type:  'text',
                       url:   "../negocio/usuarios.php",
                       tpl: "<input type='text' maxlength='30'>",
                       validate: function(value) {
                            if($.trim(value) == '' ) {
                                return 'Esta campo es obligatorio';
                            }
                            var v = validarEmail(value)         
                            if(v==false){
                                return 'Ingresa un Email válido';
                            }   
                        },
                          success: function(data) {
                              // alert(data);

                            },       
                });


        function validarEmail(email){
                expr = /^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/;
                if ( !expr.test(email) ){
                         return false;
                }else{
                        return true;
                     }
             }

            });
        </script>
    </body>
</html>